Page MenuHomePhabricator

Raise PHP version requirement of Wikibase (and its related extensions) to 5.6
Closed, ResolvedPublic

Description

Wikibase developers are willing to raise the minimum PHP version requirement of Wikibase extension to PHP 5.6, and, in other words, stop official support of EOL PHP 5.5 by this extension.

In general this change should not affect the production environment where Wikibase runs on WMF environment (a.k.a. Wikidata and Wikipedias) as there it runs on HHVM machines.

However, several of Wikibase scripts are run on snapshots hosts which are running PHP 5.5, so this change cannot happen until those hosts are updated to at least PHP 5.6, or (more likely) switched to run HHVM (T94277).
In other words resolving T86081 would most likely allow version bump for Wikibase. But T94277 seems to be the "smallest" blocker for this.

This ticket is a tracking ticket for all activities involving Wikibase and surroundings required to do the actual change of PHP requirement. More action items will be created as subtasks when "precondition" changes on WMF infrastructure have happened.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 11 2017, 3:16 PM
Reedy added a subscriber: Reedy.EditedJul 11 2017, 5:15 PM

But Zend PHP is still used for shell scripts etc (by default) on WMF servers, including deployment/script hosts (tin/terbium as far as EQIAD is concerned). So Wikidata code being PHP 5.6+... Could cause wider problems too.

reedy@tin:~$ mwscript eval.php enwiki
> echo PHP_VERSION
5.6.30-0+deb8u1

But yes, as long as T86081 is done first... This shouldn't be a problem

Thanks @Reedy, I think it was not entirely clear for us that other hosts could also be affected. So as the whole of T86081 is "blocking" this change, that's going to be a longer wait. Oh well.

thiemowmde triaged this task as Normal priority.Jul 17 2017, 4:07 PM
thiemowmde added a subscriber: thiemowmde.
Reedy added a comment.Aug 1 2017, 6:45 PM

FWIW, T172165 (RfC to bump to PHP 5.6 in MW 1.31) will be of interest to you guys

Restricted Application added a subscriber: PokestarFan. · View Herald TranscriptAug 1 2017, 6:45 PM
Ricordisamoa added a subscriber: Ricordisamoa.

Can we declare this done? :-)

Lucas_Werkmeister_WMDE closed this task as Resolved.Tue, Jun 11, 10:14 AM

I think so – looks like this was done in I228e201b73.